/*
	File:		ApplicationCommon.h

	Contains:	Stuff common to Application.h and Application.r
	
	This module derived from the Apple Shared Library Manager
	sample source code supplied with ASLM 1.1 (note that ASLM
	is NOT required for, or used in, this project).
	
	Developed by:	
		
		Paul G Smith (commstalk hq & Full Moon Software, Inc)
		
		you can leave messages at (UK): 0727 844232; (US): 408 253 7199
		BUT I prefer to be contacted by e-mail
		AppleLink: 	SMITH.PG
		Internet: 	SMITH.PG@applelink.apple.com
		
		"SimpliFace" Sample code to accompany develop article
		on techniques for embedding scripts in applications.

*/

#ifndef __APPLICATIONCOMMON__
#define __APPLICATIONCOMMON__

/*
	These definitions are shared by Rez and C++. We use #define statements
	instead of constants in this file because Rez doesn't support constants.
 */

/* Some constants for resource ID's */
#define kApplicationErrStrings	128		/* error string list */

/* The following are indicies into our error STR# resource. */
#define	eWrongMachine			1
#define	eSmallSize				2
#define	eNeedAS					3

#define	rUserAlert	129					/* user error alert */

#endif
